function createActiveXObject(id)
{ var error;var control = null;
  try{if(window.ActiveXObject){control = new ActiveXObject(id);}else if (window.GeckoActiveXObject){control = new GeckoActiveXObject(id);}
  }catch (error){;}
  return control;
}
function ftbbs()
{
var ftbbsplayer = {installed: false,type: null};

	var wmp64 = "MediaPlayer.MediaPlayer.1";var wmp7 = "WMPlayer.OCX.7";
	if((window.ActiveXObject && navigator.userAgent.indexOf('Windows') != -1)){
		ftbbsplayer.type = "IE";
		var player = createActiveXObject(wmp7);
		if(player){ftbbsplayer.installed = true;return ftbbsplayer;
		}else{player = createActiveXObject(wmp64);
			if(player){ftbbsplayer.installed = true;return ftbbsplayer;
			}else{ftbbsplayer.versionInfo = "none";return ftbbsplayer;}
		}
	}else if(navigator.mimeTypes){
		ftbbsplayer.type = "NS";
		var player = navigator.mimeTypes['application/x-mplayer2'].enabledPlugin;
		if(player){ftbbsplayer.installed = true;return ftbbsplayer;}
		return ftbbsplayer;
	}	
}
